// This file is generated by kconfig_compiler from kaudiocreator.kcfg.
// All changes you do to this file will be lost.
#ifndef PREFS_H
#define PREFS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <libkcompactdisc/kcompactdisc.h>
#include <kstandarddirs.h>
#include <klocale.h>
class Prefs : public KConfigSkeleton
{
  public:

    static Prefs *self();
    ~Prefs();


    /**
      Get Perform automatic CDDB lookups.
    */
    static
    bool performCDDBauto()
    {
      return self()->mPerformCDDBauto;
    }


    /**
      Get Automatically rip all tracks upon a successful CDDB retrieval
    */
    static
    bool autoRip()
    {
      return self()->mAutoRip;
    }

    /**
      Set Last used CD device
    */
    static
    void setLastUsedDevice( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "lastUsedDevice" ) ))
        self()->mLastUsedDevice = v;
    }

    /**
      Get Last used CD device
    */
    static
    QString lastUsedDevice()
    {
      return self()->mLastUsedDevice;
    }


    /**
      Get Prompt if information is not complete
    */
    static
    bool promptIfIncompleteInfo()
    {
      return self()->mPromptIfIncompleteInfo;
    }


    /**
      Get Automatically remove jobs when finished
    */
    static
    bool removeCompletedJobs()
    {
      return self()->mRemoveCompletedJobs;
    }


    /**
      Get Remove ripped wav files after encoding
    */
    static
    bool removeRippedWavs()
    {
      return self()->mRemoveRippedWavs;
    }


    /**
      Get Regexp to match file names with
    */
    static
    QString replaceInput()
    {
      return self()->mReplaceInput;
    }


    /**
      Get String used to replace the parts that match the selection regexp
    */
    static
    QString replaceOutput()
    {
      return self()->mReplaceOutput;
    }


    /**
      Get seperateMultiArtist
    */
    static
    bool seperateMultiArtist()
    {
      return self()->mSeperateMultiArtist;
    }


    /**
      Get fat32compatible
    */
    static
    bool fat32compatible()
    {
      return self()->mFat32compatible;
    }


    /**
      Get replaceFatIncompatible
    */
    static
    QString replaceFatIncompatible()
    {
      return self()->mReplaceFatIncompatible;
    }


    /**
      Get genericArtist
    */
    static
    QString genericArtist()
    {
      return self()->mGenericArtist;
    }


    /**
      Get delimiter
    */
    static
    QString delimiter()
    {
      return self()->mDelimiter;
    }


    /**
      Get format_artistTitle
    */
    static
    bool format_artistTitle()
    {
      return self()->mFormat_artistTitle;
    }


    /**
      Get format_titleArtist
    */
    static
    bool format_titleArtist()
    {
      return self()->mFormat_titleArtist;
    }

    /**
      Set Current default encoder
    */
    static
    void setDefaultEncoder( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "defaultEncoder" ) ))
        self()->mDefaultEncoder = v;
    }

    /**
      Get Current default encoder
    */
    static
    QString defaultEncoder()
    {
      return self()->mDefaultEncoder;
    }

    /**
      Set List of available input types
    */
    static
    void setInputTypesList( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "inputTypesList" ) ))
        self()->mInputTypesList = v;
    }

    /**
      Get List of available input types
    */
    static
    QStringList inputTypesList()
    {
      return self()->mInputTypesList;
    }


    /**
      Get Number of files to encode at a time
    */
    static
    int numberOfCpus()
    {
      return self()->mNumberOfCpus;
    }


    /**
      Get Location pattern for encoded files
    */
    static
    QString fileFormat()
    {
      return self()->mFileFormat;
    }


    /**
      Get Encoder priority
    */
    static
    int niceLevel()
    {
      return self()->mNiceLevel;
    }


    /**
      Get Enable full decoder debugging
    */
    static
    bool fullDecoderDebug()
    {
      return self()->mFullDecoderDebug;
    }


    /**
      Get Beep after rip
    */
    static
    bool beepAfterRip()
    {
      return self()->mBeepAfterRip;
    }


    /**
      Get Eject CD after last track is ripped
    */
    static
    bool autoEjectAfterRip()
    {
      return self()->mAutoEjectAfterRip;
    }


    /**
      Get Auto-eject delay
    */
    static
    int autoEjectDelay()
    {
      return self()->mAutoEjectDelay;
    }


    /**
      Get Specify temporary directory
    */
    static
    bool enableTempDir()
    {
      return self()->mEnableTempDir;
    }


    /**
      Get Location of temporary directory to use
    */
    static
    KUrl tempDir()
    {
      return self()->mTempDir;
    }

  protected:
    Prefs();
    friend class PrefsHelper;


    // CD
    bool mPerformCDDBauto;
    bool mAutoRip;
    QString mLastUsedDevice;
    bool mPromptIfIncompleteInfo;

    // General
    bool mRemoveCompletedJobs;
    bool mRemoveRippedWavs;
    QString mReplaceInput;
    QString mReplaceOutput;
    bool mSeperateMultiArtist;
    bool mFat32compatible;
    QString mReplaceFatIncompatible;
    QString mGenericArtist;
    QString mDelimiter;
    bool mFormat_artistTitle;
    bool mFormat_titleArtist;

    // Encoder
    QString mDefaultEncoder;
    QStringList mInputTypesList;
    int mNumberOfCpus;
    QString mFileFormat;
    int mNiceLevel;
    bool mFullDecoderDebug;

    // Ripper
    bool mBeepAfterRip;
    bool mAutoEjectAfterRip;
    int mAutoEjectDelay;
    bool mEnableTempDir;
    KUrl mTempDir;

  private:
};

#endif

